commit: 19fb39a6f775672015fae6c7880b495d18db7431
Author: Davide Pesavento <pesa <AT> gentoo <DOT> org>
AuthorDate: Wed Sep 16 00:47:32 2020 +0000
Commit: Davide Pesavento <pesa <AT> gentoo <DOT> org>
CommitDate: Wed Sep 16 00:47:59 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=19fb39a6
dev-python/PyQtWebEngine: add 5.15.1
Package-Manager: Portage-3.0.6, Repoman-3.0.1
Signed-off-by: Davide Pesavento <pesa <AT> gentoo.org>
dev-python/PyQtWebEngine/Manifest | 1 +
.../PyQtWebEngine/PyQtWebEngine-5.15.1.ebuild | 75 ++++++++++++++++++++++
2 files changed, 76 insertions(+)
diff --git a/dev-python/PyQtWebEngine/Manifest
b/dev-python/PyQtWebEngine/Manifest
index f267b62d52b..91fcdaccd5c 100644
--- a/dev-python/PyQtWebEngine/Manifest
+++ b/dev-python/PyQtWebEngine/Manifest
@@ -1,2 +1,3 @@
DIST PyQtWebEngine-5.14.0.tar.gz 47794 BLAKE2B
28f4a577ab5d8c1bea439b11e836008d27b4a49f31f230885013b515147a95c97e398328d1fc3a99619c3fd6eca3da7e94bf5873de9ac6511e0f59e467d4490c
SHA512
c5274ce5ba1c80c6851971c3e18acf33121cd5863f613bd1789fdb40323b52429b55b54f3dcbb3127c85343e11f14c004ad54711b2b59cab95fd440f90fe5f2e
DIST PyQtWebEngine-5.15.1.dev2006110847.tar.gz 48514 BLAKE2B
a4c4490720dcc1bf95c62e3bb9e72f2e25000a2641b64f2a0466649899f56eac0594461471ba787c332a32cda8b48cff0bddd2d4beceadfca02b1c06668e4117
SHA512
1f39052f22598f4fdb30ce9b9180fc145414e2e6708f2bda5a6f9166824926f91ca61070e64c4d9f880f0711a0c4c3a6a345d9904092bb13d51bd28e71fd52ab
+DIST PyQtWebEngine-5.15.1.tar.gz 48520 BLAKE2B
d4e4fcfb1066fcc274f4b3c8ccd7380435b9391586e3396fb5aa95ad7443c168ea9be3b85ec93e2dc28285aca18718afeb1487cb2c4ad5ed1a4f4d03010107ec
SHA512
1efbea43bfd4a6de1c7aa2ab2ca124c4278b6b7ea0d6073c64a7ad83df676759d0747421cae5214017e3c61d8edddf9766f93660e13eee5d407a24fd11d8c21f
diff --git a/dev-python/PyQtWebEngine/PyQtWebEngine-5.15.1.ebuild
b/dev-python/PyQtWebEngine/PyQtWebEngine-5.15.1.ebuild
new file mode 100644
index 00000000000..94183f43f9b
--- /dev/null
+++ b/dev-python/PyQtWebEngine/PyQtWebEngine-5.15.1.ebuild
@@ -0,0 +1,75 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6..9} )
+inherit python-r1 qmake-utils
+
+DESCRIPTION="Python bindings for QtWebEngine"
+HOMEPAGE="https://www.riverbankcomputing.com/software/pyqtwebengine/intro"
+
+MY_P=${PN}-${PV/_pre/.dev}
+if [[ ${PV} == *_pre* ]]; then
+ SRC_URI="https://dev.gentoo.org/~pesa/distfiles/${MY_P}.tar.gz"
+else
+ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+fi
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+IUSE="debug"
+
+REQUIRED_USE="
+ ${PYTHON_REQUIRED_USE}
+"
+
+RDEPEND="
+ ${PYTHON_DEPS}
+
>=dev-python/PyQt5-5.14[gui,network,printsupport,ssl,webchannel,widgets,${PYTHON_USEDEP}]
+ >=dev-python/PyQt5-sip-4.19.22:=[${PYTHON_USEDEP}]
+ dev-qt/qtcore:5
+ dev-qt/qtwebengine:5[widgets]
+"
+DEPEND="${RDEPEND}
+ >=dev-python/sip-4.19.22[${PYTHON_USEDEP}]
+"
+
+S=${WORKDIR}/${MY_P}
+
+src_configure() {
+ configuration() {
+ local myconf=(
+ "${PYTHON}"
+ "${S}"/configure.py
+ --qmake="$(qt5_get_bindir)"/qmake
+ $(usex debug '--debug --trace' '')
+ --verbose
+ )
+ echo "${myconf[@]}"
+ "${myconf[@]}" || die
+
+ # Fix parallel install failure
+ sed -i -e '/INSTALLS += distinfo/i distinfo.depends =
install_subtargets install_pep484_stubs install_api' \
+ ${PN}.pro || die
+
+ # Run eqmake to respect toolchain and build flags
+ eqmake5 -recursive ${PN}.pro
+ }
+ python_foreach_impl run_in_build_dir configuration
+}
+
+src_compile() {
+ python_foreach_impl run_in_build_dir default
+}
+
+src_install() {
+ installation() {
+ emake INSTALL_ROOT="${D}" install
+ python_optimize
+ }
+ python_foreach_impl run_in_build_dir installation
+
+ einstalldocs
+}